package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumChartType {
    CAR_OUT(1, "出场车辆"),
    CAR_PAID(2, "缴费车辆"),
    CAR_PAY_FEE(3, "缴费金额"),
    CAR_MEMBER(4, "新增会员"),
    CAR_NEW_MEMBER(5, "新增停车会员"),
    CAR_BIND(6, "已绑车辆"),
    SALE_COUPON_PRICE(8, "销售总交易额"),
    MERCHANT_TRADE(9, "解单金额"),;
    public static EnumChartType getEnum(Integer code) {
        for (EnumChartType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumChartType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
